Subject: Re: bug#20809: 25.0.50; package-list-packages never finishes async update if cert bad

From: Artur Malabarba <[email-masked]>
Date: Sun, 14 Jun 2015 22:52:07 +0100

I pushed a change which should handle this, but I can't test it
because I don't get the "connection cannot be secured" message even if
I follow your recipe (which is weird, since visiting marmalade on the
browser clearly shows the certificate is still bad).

Let me know if it works for you.

2015-06-14 18:50 GMT+01:00 chad <[email-masked]>:
> On 14 Jun 2015, at 03:55, Artur Malabarba <[email-masked]> wrote:
>>
>> Could we get a little more of that backtrace? :-) It might make it easier.
>
> Absolutely! Let me know if the mailer gunks anything up.
>
> This comes from launching emacs -Q and running:
>
>   (setq debug-on-error ’t)
>   (package-initialize)
>   (add-to-list `package-archives '("marmalade" . "https://marmalade-repo.org/packages/") t)
>   (package-list-packages)
>
> and then saying “N” to the connection error popup.
>
> ~Chad
>
> Debugger entered--Lisp error: (error "Could not create connection to marmalade-repo.org:443")
>   signal(error ("Could not create connection to marmalade-repo.org:443"))
>   error("Could not create connection to %s:%d" "marmalade-repo.org" 443)
>   url-http([cl-struct-url "https" nil nil "marmalade-repo.org" nil "/packages/archive-contents" nil nil t silent t] #[257 "\211@\306=\203  \307\302!\203  \302 \210\202\204 \310 @A AA\"\210\202\204 eb\210\311\312\313\314#\204/ \315\316p\"\210e`|\210\300A\300@\317 \320\321\322 \" \"\320\301 \"\323 !<\203\202 \324 \325\"\210\f\203Z \300
> \235\203i \326 \313 \313\327%\210\330\300!\210\202\202 \331 \301 \302\332\333\334\335\336\300
>   url-https([cl-struct-url "https" nil nil "marmalade-repo.org" nil "/packages/archive-contents" nil nil t silent t] #[257 "\211@\306=\203  \307\302!\203  \302 \210\202\204 \310 @A AA\"\210\202\204 eb\210\311\312\313\314#\204/ \315\316p\"\210e`|\210\300A\300@\317 \320\321\322 \" \"\320\301 \"\323 !<\203\202 \324 \325\"\210\f\203Z \300
> \235\203i \326 \313 \313\327%\210\330\300!\210\202\202 \331 \301 \302\332\333\334\335\336\300
>   url-retrieve-internal("https://marmalade-repo.org/packages/archive-contents" #[257 "\211@\306=\203  \307\302!\203  \302 \210\202\204 \310 @A AA\"\210\202\204 eb\210\311\312\313\314#\204/ \315\316p\"\210e`|\210\300A\300@\317 \320\321\322 \" \"\320\301 \"\323 !<\203\202 \324 \325\"\210\f\203Z \300
> \235\203i \326 \313 \313\327%\210\330\300!\210\202\202 \331 \301 \302\332\333\334\335\336\300
>   url-retrieve("https://marmalade-repo.org/packages/archive-contents" #[257 "\211@\306=\203  \307\302!\203  \302 \210\202\204 \310 @A AA\"\210\202\204 eb\210\311\312\313\314#\204/ \315\316p\"\210e`|\210\300A\300@\317 \320\321\322 \" \"\320\301 \"\323 !<\203\202 \324 \325\"\210\f\203Z \300
> \235\203i \326 \313 \313\327%\210\330\300!\210\202\202 \331 \301 \302\332\333\334\335\336\300
>   package--download-one-archive(("marmalade" . "https://marmalade-repo.org/packages/") "archive-contents" #[0 "\301\300!\207" [("marmalade" . "https://marmalade-repo.org/packages/") package--update-downloads-in-progress] 2])
>   package--download-and-read-archives(t)
>   package-refresh-contents(t)
>   package-menu-refresh()
>   package-list-packages(nil)
>   funcall-interactively(package-list-packages nil)
>   call-interactively(package-list-packages record nil)
>   command-execute(package-list-packages record)
>   execute-extended-command(nil "package-list-packages" "package-li")
>   funcall-interactively(execute-extended-command nil "package-list-packages" "package-li")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>